package com.ssj.bean.sys.analysis.bean;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_analysis_week")
public class AnalysisWeek extends BaseEntity {
	
	private static final long serialVersionUID = 890135943022798129L;
 
	private String libId;
	
	private Integer yearWeek;

	private Integer memberNum;
	
	private Integer activeNum;
	
	private Integer activeRatio;
	
	private Date createTime;
	
	private Date updateTime;

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public Integer getYearWeek() {
		return yearWeek;
	}

	public void setYearWeek(Integer yearWeek) {
		this.yearWeek = yearWeek;
	}

	public Integer getMemberNum() {
		return memberNum;
	}

	public void setMemberNum(Integer memberNum) {
		this.memberNum = memberNum;
	}

	public Integer getActiveNum() {
		return activeNum;
	}

	public void setActiveNum(Integer activeNum) {
		this.activeNum = activeNum;
	}

	public Integer getActiveRatio() {
		return activeRatio;
	}

	public void setActiveRatio(Integer activeRatio) {
		this.activeRatio = activeRatio;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	
	
}
